using System.Collections;
using System.Collections.Generic;
using Cinemachine;
using UnityEngine;
using UnityEngine.Tilemaps;
using static System.Net.WebRequestMethods;


namespace Bigsock
{
    public class FollowPlayer : MonoBehaviour
    {
        [SerializeField]
        private NeighbourMapGenerator neighborMapGenerator;
        [SerializeField]
        private CinemachineConfiner2D cameraMap;

        private int levels = 1;


        Vector3 offset = new Vector3(0, 0, -10);
        int i = 0;

        GameObject[] boss;
        GameObject player;
        GameObject door;
        GameObject stairs;

        void Start()
        {
            neighborMapGenerator.RunProceduralGeneration();
            player = GameObject.Find("BigSock");
        }

        void LateUpdate()
        {
            boss = GameObject.FindGameObjectsWithTag("Boss");
            stairs = GameObject.Find("stairs(clone)");

            if (boss.Length == 0 && levels <= 1 && Input.GetKey(KeyCode.Return))
            {
                 neighborMapGenerator.RunProceduralGeneration();
                 player.transform.position = new Vector3(9, 5, 0);
                 levels++;
            }
            int i = 0;
            if(i == 0) {
                cameraMap.InvalidateCache();
                i++;
            }
        }

        private void OnDestroy()
        {
            NeighbourMapGenerator.ClearRoomList();
            TilemapGenerator.SetRoomIDZero();
            TilemapGenerator.resetMaps();
        }
    }
}
